dev-libs/libgcrypt: Update live version to work with current 1.7
[portage-overlay.git] / dev-libs / libgcrypt / files / libgcrypt-multilib-syspath.patch
1 diff --git a/src/libgcrypt-config.in b/src/libgcrypt-config.in
2 index c052638..4c8ddc3 100644
3 --- a/src/libgcrypt-config.in
4 +++ b/src/libgcrypt-config.in
5 @@ -154,9 +154,12 @@ if test "$echo_libs" = "yes"; then
6      libs_final="$libs"
7  
8      # Set up `libdirs'.
9 -    if test "x$libdir" != "x/usr/lib" -a "x$libdir" != "x/lib"; then
10 -       libdirs="-L$libdir"
11 -    fi
12 +    case "$libdir" in
13 +        /usr/lib|/usr/lib64|/lib|/lib64) ;;
14 +        *)
15 +            libdirs="-L$libdir"
16 +            ;;
17 +    esac
18  
19      # Set up `libs_final'.
20      libs_final="$libs_final $gpg_error_libs"
21 -- 
22 1.7.6.1
23